package publicreport

import (
	"context"
	//"time"

	"source.gleipnir.technology/Gleipnir/nidus-sync/db"
	"source.gleipnir.technology/Gleipnir/nidus-sync/db/gen/nidus-sync/publicreport/model"
	"source.gleipnir.technology/Gleipnir/nidus-sync/db/gen/nidus-sync/publicreport/table"
	//"github.com/Gleipnir-Technology/jet/postgres"
)

func NuisanceInsert(ctx context.Context, txn db.Ex, m model.Nuisance) (model.Nuisance, error) {
	statement := table.Nuisance.INSERT(table.Nuisance.AllColumns).
		MODEL(m).
		RETURNING(table.Nuisance.AllColumns)
	return db.ExecuteOneTx[model.Nuisance](ctx, txn, statement)
}
